---
# docker-compose file for loggly container
# DOCKER_HOST=dkhost:2376 docker stack deploy -c docker-compose.yml services

version: '3'
services:

  loggly:
    image: "sendgridlabs/loggly-docker"
    ports:
      - 31514:514/udp
    environment:
      - TOKEN=22feaabc-c080-4407-86c3-ae9052999786
      - TAG=Docker

    deploy:
      mode: replicated

      replicas: 1
      restart_policy:
        condition: any
        delay: "1s"
        max_attempts: 3
      resources:
        limits:
          cpus: '0.1'
          memory: 16M

networks:
  default:
    external:
      name: prod
